Download
(147 Kb)
Download
Updated: 05-06-11 01:29 AM
Pictures
File Info
Updated:05-06-11 01:29 AM
Created:unknown
Downloads:32,432
Favorites:230
MD5:
FuBar - PetInfoFu  Popular! (More than 5000 hits)
Version: 4.1.0
by: Jayhawk [More]
FuBar - PetInfo 4.1.0

Author: Jayhawk
Release Date: 2011-05-03

Displays information on your pet, such as name, level, combat ratings and attributes.

Use
PetInfoFu keeps track of your pets, including your stabled pets. Optionally, it will track your history of taming pets. Clicking on the FuBar menu, which displays your pet's happiness in colour, will bring up the training dialog. Should you have Cartographer installed, PetInfoFu can keep track of the stables for you.

For hunters, you can click on a stabled pet in the FuBar tooltip and a small tooltip will pop-up showing you the skills of that particular pet. You will need to have summoned a particular pet for the extended information to be saved (and shown in the tooltip)

Options
Show pet's name (True) - Displays the name of your current pet, assuming it is not currently dismissed.
Show pet's combat statistics (True) - Shows your pets combat statistics, assuming it is not currently dismissed.
Show pet's attributes (True) - Shows your pets Strength, Agility, Stamina, Intelligence and Spirit, assuming it is not currently dismissed.
Show pet's skills (True) - Shows your pets skills, assuming it is not currently dismissed. It also shows the level a higher rank can be learned, should that rank be in your pet training manual.

Hunter Only:
Show Mend Pet Frame (False) - Toggles a dragable frame when Heal Pet is active
Play sound: On TP gain/On new skill available (False) - Play a sound when the pet gains Training Points (TP) or is able to learn an available skill.
Stabled Pets|Show active pets (True) - Shows you which pets are currently your active pets.
Stabled Pets|Show stabled pets (False) - Shows you which pets are currently in your stable.
Mapnotes|Enable Stable mapnotes (False) - Will place an icon on the map for each Stable you visit. Needs Cartographer to be installed.

Warlock only:
Show nethered demons (False) - Keeps track of the skills of the demons you can summon, but are currently gallivanting in the Twisted Nethers.

Acknowledgements
This add-on is a continuation of corgi's PetInfo which he kindly allowed me to update to WoW 2.0. I'd also like to thank gnancy for suggesting I add support for Demonic Knowledge and helping me test it.

Install: extract the FuBar_PetInfoFu folder into

\World of Warcraft\Interface\AddOns\


This add-on was downloaded from http://www.wowinterface.com/
4.1.0 - updated TOC, removed happiness and level information, changed 'stables' to show both active and stored pets
4.0.0 - updated for Catclysm API changes, stabled pet tracking is currently not working
3.3.0 - updated TOC, added support for Glyph of Mend Pet (HunterZ), removed trying to open the pet tab on left clicking the icon, added addon loader support (Petraca)
3.2.0 - updated TOC
3.0.3 - fixed happiness gain with Guard Dog
3.0.2 - cleanup unused data in SavedVariables, fixed issue with locales (Kazragore)
3.0.1 - fixed bug with LibCrayon
3.0.0 - updated to 3.0.2, removed obsolete functionality, added new happiness improving pet talents
2.4.2 - added option to display happiness in a seperate frame rather than the FuBar (MiyaMirage) and doubled the happiness DECAY_RATE (2.4.2)
2.4.1 - tried to fix issues with German translation
2.4.0 - updated TOC, added German translation (Singler), updated code to new combat log
2.3.2 - fixed bug where nethered demons were not properly saved, added Show Mend Pet option (kergoth)
2.3.1 - revamped happiness calculations to be (hopefully) more accurate; added a little (movable) tooltip to show when your pet is being healed.
2.3.0 - updated TOC, added sound on pet happiness level change, xp tool tip now remembers if it's showing.
2.2.1 - added XP window, fixed a few minor bugs
2.2.0 - updated TOC, added Happiness tracking, added saving of pet skills and way to show these (tkasomething crowd), added demon icons (maytrix).
2.1.4 - added option for sound when pet able to learn new skill (Mania), removed level timers for pets of same level as hunter.
2.1.3 - added by kill timer (MayDay), added option to show Loyalty for Stabled pets (Someone)
2.1.2 - added nethered pets to "No pet" tooltip, and a scheduled event to fix "UO", hopefully fixed stack overflow bug.
2.1.1 - added show experience (Mars85), hopefully fixed bug (ThornyJohn)
2.1.0 - update TOC, added pet/demon skills and toggles for skills and combat statistics.
2.0.5 - bugfixes
2.0.4 - added support for Demonic Knowledge (Warlock)
2.0.3 - added stable intergration with Cartographer (Hunter)
2.0.2 - fixed some issues for Warlocks
2.0.1 - added sorting on when one first stabled a pet. (Hunter)
- tried to reduce updates triggered by UNIT_HAPPINESS
2.0 - initial release
Optional Files (0)


Archived Files (1)
File Name
Version
Size
Author
Date
3.3.0
186kB
Jayhawk
01-30-10 04:02 AM


Post A Reply Comment Options
Old 01-22-07, 05:14 AM  
Grizzly UK
A Black Drake
 
Grizzly UK's Avatar

Forum posts: 80
File comments: 107
Uploads: 0
Thanks for the explanation, almost everything is working fine now. The reason I say "almost everything" is that I have a minor problem with displaying my pet's name. When I first log in, my pet's name is displayed as "UO", so I disable and re-enable the "Display Name" option and then my pet's name is displayed correctly. It's actually been doing that since I started using FuBar (along with PetInfoFu and other FuBar plugins) a little over a week ago. Like I said, nothing major, and to be honest I've been spending most of my time over the last week or so working on building a whole new UI "look" so I've not really spent much time checking bugs.
Grizzly UK is offline Report comment to moderator  
Reply With Quote
Old 01-21-07, 10:28 PM  
Jayhawk
Premium Member
 
Jayhawk's Avatar
AddOn Author - Click to view AddOns

Forum posts: 105
File comments: 151
Uploads: 6
I'm still getting to grips with working with SVN, especially adding externals is giving me a hard time, which explains the hassle with the SpellTree library. The uploaded Version: 2.0.5 (25515) found here has the library included (or at least it did when I just downloaded it...). The SpellTree lib was added for the Demonic Knowledge functionality.

The wolf icon remark was added when I finally managed to get the svn:externals property to update properly. The icon it self was apparently not added (but then again, it isn't used).

Thanks for the info about the version numbers and I hope everything's working again.
Jayhawk is offline Report comment to moderator  
Reply With Quote
Old 01-21-07, 06:04 PM  
Grizzly UK
A Black Drake
 
Grizzly UK's Avatar

Forum posts: 80
File comments: 107
Uploads: 0
Using 2.0.5 r25617 and I'm geting strange behaviour. I get the following error:

["message"] = "FuBar_PetInfoFu\\PetInfoFu.lua:11: Cannot find a library instance of Babble-SpellTree-2.2.\nFuBar-2.0.24665\\libs\\AceLibrary\\AceLibrary.lua:422: in function `AceLibrary'\nFuBar_PetInfoFu\\PetInfoFu.lua:11: in main chunk\n<in C code>: ?\n<in C code>: in function `pcall'\nFuBar-2.0.24665\\FuBar.lua:631: in function <Interface\\AddOns\\FuBar\\FuBar.lua:627>\nFuBar-2.0.24665\\FuBar.lua:913: in function `LoadPlugin'\nFuBar-2.0.24665\\FuBar.lua:1026: in function <Interface\\AddOns\\FuBar\\FuBar.lua:1017>\n<in C code>: ?\nAceEvent-2.0-23383 (FuBar):427: in function <...face\\AddOns\\FuBar\\libs\\AceEvent-2.0\\AceEvent-2.0.lua:403>\n\n ---",

If I mouse over PetInfo on my FuBar all I get is a tooltip that says "PetInfoFu" but no actual info. Right-clicking to bring up the otions results in a rather short tooltip of approx 6 options (forgot to make a note of all of them). I checked my install and I have Babble-Spell-2.2.lua in my World of Warcraft\Interface\AddOns\FuBar_PetInfoFu\Libs\Babble-Spell-2.2 folder but the error refers to Babble-SpellTree-2.2, so is that the cause of the error?

Oh, regarding the games current .toc version number, Blizzard rarely increases the .toc for minor patches and the last two patches (2.0.4 & 2.0.5) were minor, only fixing a couple of errors.

EDIT: Just got r25673 from WoWAce.com and that does have Babble-SpellTree-2.2.lua, so I guess that will fix the error! However, I checked the changelog-r25673.txt file and saw the only change is:
- added icons/wolf.tga
but the only file in the Icons folder is Stable.tga! Forgot to include that file this time?
Last edited by Grizzly UK : 01-21-07 at 06:29 PM.
Grizzly UK is offline Report comment to moderator  
Reply With Quote
Old 01-20-07, 03:31 AM  
Jayhawk
Premium Member
 
Jayhawk's Avatar
AddOn Author - Click to view AddOns

Forum posts: 105
File comments: 151
Uploads: 6
Something weird going on here and I'm not sure what happened. However, the code in line 253 has been fixed and the TOC version updated. Strange how that needs to be 20003 rather than 20005 (the latest patch).

Apologies for any inconvenience caused.
Jayhawk is offline Report comment to moderator  
Reply With Quote
Old 01-19-07, 03:08 PM  
Zidomo
A Cliff Giant
 
Zidomo's Avatar

Forum posts: 76
File comments: 1050
Uploads: 0
Been using this successfully for quite a while.

Error thrown up with latest v2.0.4 (r25515 off the SVN, which is how I obtained it). This is active on my level 45 hunter alt only. As well, using the latest updated Ace2 (& Babble, etc.) standalone off the SVN instead of embedded. And the latest FuBar off the SVN. No other FuBar plugins have problems:

"FuBar_PetInfoFu-2.0.4 $Revision: 25515 $\\PetInfoFu.lua:253: function arguments expected near 'end'\n<in C code>: in function `pcall'\nFuBar-2.0.24665\\FuBar.lua:631: in function <Interface\\AddOns\\FuBar\\FuBar.lua:627>\nFuBar-2.0.24665\\FuBar.lua:913: in function `LoadPlugin'\nFuBar-2.0.24665\\FuBar.lua:1026: in function <Interface\\AddOns\\FuBar\\FuBar.lua:1017>\n<in C code>: ?\nAceEvent-2.0-23383 (Ace2):427: in function <Interface\\AddOns\\Ace2\\AceEvent-2.0\\AceEvent-2.0.lua:403>\n\n ---"
Last edited by Zidomo : 01-19-07 at 03:09 PM.
Zidomo is offline Report comment to moderator  
Reply With Quote
Old 01-19-07, 09:22 AM  
Henrick
A Murloc Raider

Forum posts: 5
File comments: 12
Uploads: 0
Two issues.

1. Lib issue - Need to include Babble-SpellTree-2.2.
2. Line 252. self:Update should be self:Update() if Im not mistaken.
Henrick is offline Report comment to moderator  
Reply With Quote
Old 01-18-07, 05:38 PM  
Jaim Sandar
A Deviate Faerie Dragon
AddOn Author - Click to view AddOns

Forum posts: 13
File comments: 358
Uploads: 1
When I click download for 2.04, I get 2.03.

Edit: I found a newer version at http://files.wowace.com/

But isn't the TOC supposed to be 20003 for WoW 2.0.5? The version I downloaded, r25515, has the TOC at 20005, which WoW will say is out of date.
Last edited by Jaim Sandar : 01-18-07 at 05:44 PM.
Jaim Sandar is offline Report comment to moderator  
Reply With Quote
Old 01-18-07, 05:40 AM  
Jayhawk
Premium Member
 
Jayhawk's Avatar
AddOn Author - Click to view AddOns

Forum posts: 105
File comments: 151
Uploads: 6
Implented in 2.0.4. Thanks for the help, Gnancy.
Jayhawk is offline Report comment to moderator  
Reply With Quote
Old 01-14-07, 01:03 AM  
Gnancy
A Defias Bandit

Forum posts: 2
File comments: 1
Uploads: 0
Addition

Hello

Love the addon and I have modded it to show the plus dmg from Warlocks Demonic Knowledge. Some of the code is heavily borrowed from Krakhaan of Khaz'goroth's Demonic Knowledge. Here is his addon if you like http://ui.***************/ui.php?id=3651

If you would like to have the files send to you email me at gnancysaddons a t gmail

Thanks for the consideration

Gnancy
Gnancy is offline Report comment to moderator  
Reply With Quote
Old 01-03-07, 09:24 AM  
Jayhawk
Premium Member
 
Jayhawk's Avatar
AddOn Author - Click to view AddOns

Forum posts: 105
File comments: 151
Uploads: 6
I'm glad it worked and glad you were willing to try it out. Thanks!

And I know how much work it is to find this kind of thing. Had to made that kind of search several times myself.
Jayhawk is offline Report comment to moderator  
Reply With Quote
Old 01-03-07, 05:21 AM  
Efimerlin
A Kobold Labourer

Forum posts: 0
File comments: 12
Uploads: 0
OK, i disabled all Fubar Mods and my Ace2 standalone except Fubar itself and PetInfoFu, everything was ok, i then proceeded to enable them all one by one (royal pain in the ass btw), found that Ace2, ClockFu, DurabilityFu, MoneyFu, QuestFu all broke Fubar completely with 2.0.3 installed, all work perfectly with 2.0.2 installed.

SO, as per your suggestion, i copied the relevant libraries from PetInfoFu into QuestFu and lo and behold no errors with the 2 enabled, i therefore assume that library version differences are causing the problem, did a little searching and found wowaceupdater, gonna give it a try and see if it updates all the relevant libraries to the most recent versions (at least i hope that's what's gonna happen, cos i'd hate to have to manually update all the libraries myself )

Thanks for your input on this, and sorry to have been a pain

Ran WowAceUpdater with the Purge settings, and now everything is working as it should, thx again for all your assistance with these problems.
Last edited by Efimerlin : 01-03-07 at 05:58 AM.
Efimerlin is offline Report comment to moderator  
Reply With Quote
Old 01-02-07, 11:09 PM  
Jayhawk
Premium Member
 
Jayhawk's Avatar
AddOn Author - Click to view AddOns

Forum posts: 105
File comments: 151
Uploads: 6
Most peculiar...

I've tried this in TBC and it seems to work just fine. I do get error messages from other addons, and some of them are "blamed" on addons that don't have the code/module that throws the error. So, I'm beginning to wonder about the accuracy of the errors as such.

However, I'm beginning to think there may be something wrong/conflicting with the ACE libraries, or at least their versions. Especially as the errors you show seem to jump from QuestFu\AceEvent to PetInfoFu\AceEvent What you may want to try is to disable all FuBar addons except PetInfo and see if the error remains.

If that works without problems, you may want to try and replace the AceEvent folder from QuestFu with the one from PetInfoFu (or the reverse). Ditto for the Tablet library. At least on my setup the PetInfoFu/AceEvent library is newer than the QuestFu one.

I really hope this might do the trick...
Jayhawk is offline Report comment to moderator  
Reply With Quote
Old 01-02-07, 07:48 PM  
Efimerlin
A Kobold Labourer

Forum posts: 0
File comments: 12
Uploads: 0
Originally posted by Jayhawk
Efimerlin
I don't see Cartographer...which may be the culprit, let me test?

[edit 20:55 CET]
I disabled Cartographer, but PetInfo showed up just fine. I'll try a few bit more, but if you could give it a try with Cartographer installed? Thanks.
OK i installed Cartographer, only change is now it doesnt completely break Fubar on my Hunter, just gives me the same errors as i was getting on my lock, i have noticed however as soon as i try and change an option on fubar with it installed, it just kills everything fubar related again, as long as i dont do anything with Fubar or it's addons i just get those same errors, going back to 2.0.2 to see if it's still ok with cartographer installed.

OK went back to 2.0.2 and everything is working fine again even with Cartographer installed, i'm kinda at a loss here, sorry.
Last edited by Efimerlin : 01-02-07 at 07:53 PM.
Efimerlin is offline Report comment to moderator  
Reply With Quote
Old 01-02-07, 11:14 AM  
Jayhawk
Premium Member
 
Jayhawk's Avatar
AddOn Author - Click to view AddOns

Forum posts: 105
File comments: 151
Uploads: 6
Efimerlin
I don't see Cartographer...which may be the culprit, let me test?

[edit 20:55 CET]
I disabled Cartographer, but PetInfo showed up just fine. I'll try a few bit more, but if you could give it a try with Cartographer installed? Thanks.
Last edited by Jayhawk : 01-02-07 at 12:52 PM.
Jayhawk is offline Report comment to moderator  
Reply With Quote
Old 01-02-07, 08:56 AM  
Efimerlin
A Kobold Labourer

Forum posts: 0
File comments: 12
Uploads: 0
Originally posted by Jayhawk
Weird...
I just retested on my Warlock (tried various pets) and I've no issues with QuestFu (R21398). The only problem seems to be that PetFu can't find a name for the pet at the first summons, but not even always. I'll try and look into it.

As for Hunters, I tested with two different hunters most of the weekend and it works like a charm. No strange behaviour whatsoever. I'm...at a loss here.

PS. Where on the "other" site did you repost this?
When i said other site i meant QuestFu's page here at wowinterface.

Tried it again today, 2.0.3 still kills everything FuBar related on my Hunter and gives me the same errors with QuestFu on my Lock, going back to 2.0.2 solves all the problems.

My Addons are as follows maybe you can see something wrong.

!BugGrabber, Ace2, Adapt, AdvancedTradeSkillWindow, Atlas, AtlasBattlegrounds, AtlasDungeonLocs, AtlasFlightPaths, AtlasLoot, AtlasLootFu, AtlasMajorCities, AtlasOutdoorRaids, AtlasQuest, Auctioneer, BanzaiAlert, BookEnchants, BugSack, BuyEmAll, CTMod, DeuceCommander, EnchantingSell, EquipCompare, ErrorMonster, Dhask's Flightmap, FriendData, Fubar, -Ammofu, bagfu, clockfu, durabilityfu, factionsfu, fuxpfu, garbagefu, groupfu, itembonusesfu, locationfu, mailfu, mcpfu, moneyfu, PetInfoFu, QuestsFu (r21398), reagentfu, regenfu, restfu, skillsplusfu, swstats2fu, topscorefu, tradetrackerfu, trainerfu, ufriends, uguild, volumefu, whisperfu, zepmasterfu, GatherSage, GFW Feedomatic, GFW HuntersHelper, GrimoireKeeper, GrimQuest, ImprovedBuffTimers, Incognito, LootLink, Ludwig, Ludwig SellValue, Maplibrary, MCP, Mobinfo2, MozzFullworldMap, Necrosis, PerfectRaid, Prat, Prat Fubar2, QuestRepeat, RatingBuster, RecipeRadar, SimpleCOmbatLog, SmartDebuff, SpellTips, SuperInspect, SuperInspectUI. Sw_Stats, WeaponRebuff, WitchHunt, ZepShipMaster, ZHunterMod, ZrangeCheck.

All Mods are the latest versions i have been able to find, if you need exact details let me know.
Efimerlin is offline Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump: